package forward

import (
	"duoduo/tools/app"
	"github.com/gin-gonic/gin"
	"io/ioutil"
)

func LiHongFei(c *gin.Context) {

	fun := c.Request.Header.Get("function")
	body, err := ioutil.ReadAll(c.Request.Body)
	if err != nil {
		app.Error(c, 400, err, err.Error())
		return
	}
	val, err := PostForward(body, fun)
	if err != nil {
		app.Error(c, 500, err, err.Error())
	}
	app.OK(c, val, app.Success)
}
